//------------------------------------------------------------------------------
// Lamp : Open source game middleware
// Copyright (C) 2004  Junpei Ohtani ( Email : junpee@users.sourceforge.jp )
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

/** @file
 * 指向性ボックス交差テスト実装
 * @author Junpee
 */

#include "Test/stdafx.h"
#include "Geometry/Intersection/OrientedBoxIntersectionTest.h"

//------------------------------------------------------------------------------
// コンストラクタ
OrientedBoxIntersectionTest::OrientedBoxIntersectionTest(String name) :
	TestCase(name){
}
//------------------------------------------------------------------------------
// テストスィートの取得
Test* OrientedBoxIntersectionTest::suite(){
	TestSuite* suite = new TestSuite("OrientedBoxIntersectionTest");
	suite->addTest(new TestCaller(OrientedBoxIntersectionTest, testPoint));
	suite->addTest(new TestCaller(
		OrientedBoxIntersectionTest, testOrientedBox));
	suite->addTest(new TestCaller(OrientedBoxIntersectionTest, testPlane));
	suite->addTest(new TestCaller(OrientedBoxIntersectionTest, testRay));
	suite->addTest(new TestCaller(OrientedBoxIntersectionTest, testSegment));
	suite->addTest(new TestCaller(OrientedBoxIntersectionTest, testSphere));
	suite->addTest(new TestCaller(OrientedBoxIntersectionTest, testTriangle));
	return suite;
}
//------------------------------------------------------------------------------
// 点テスト
void OrientedBoxIntersectionTest::testPoint(){
}
//------------------------------------------------------------------------------
// 指向性ボックステスト
void OrientedBoxIntersectionTest::testOrientedBox(){
}
//------------------------------------------------------------------------------
// 平面テスト
void OrientedBoxIntersectionTest::testPlane(){
}
//------------------------------------------------------------------------------
// レイテスト
void OrientedBoxIntersectionTest::testRay(){
}
//------------------------------------------------------------------------------
// セグメントテスト
void OrientedBoxIntersectionTest::testSegment(){
}
//------------------------------------------------------------------------------
// 球テスト
void OrientedBoxIntersectionTest::testSphere(){
}
//------------------------------------------------------------------------------
// 三角テスト
void OrientedBoxIntersectionTest::testTriangle(){
}
//------------------------------------------------------------------------------
